package com.its.op.dao.mapper.its.statistics;

import com.its.op.dto.its.statistics.TrafficStatDto;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface TrafficTermStatisticsMapper {

    // 기간 검색 - 15분, 시간, 일, 월, 년(링크, 서비스링크, 도로)
    List<TrafficStatDto> findAllLink15M(Map<String, String> param);
    List<TrafficStatDto> findAllLinkHH(Map<String, String> param);
    List<TrafficStatDto> findAllLinkDD(Map<String, String> param);
    List<TrafficStatDto> findAllLinkMN(Map<String, String> param);
    List<TrafficStatDto> findAllLinkYY(Map<String, String> param);

    List<TrafficStatDto> findAllIfsc15M(Map<String, String> param);
    List<TrafficStatDto> findAllIfscHH(Map<String, String> param);
    List<TrafficStatDto> findAllIfscDD(Map<String, String> param);
    List<TrafficStatDto> findAllIfscMN(Map<String, String> param);
    List<TrafficStatDto> findAllIfscYY(Map<String, String> param);

    List<TrafficStatDto> findAllRoad15M(Map<String, String> param);
    List<TrafficStatDto> findAllRoadHH(Map<String, String> param);
    List<TrafficStatDto> findAllRoadDD(Map<String, String> param);
    List<TrafficStatDto> findAllRoadMN(Map<String, String> param);
    List<TrafficStatDto> findAllRoadYY(Map<String, String> param);
}
